This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
perldelta for ‘no overload "invalid"’ warnings
authorFather Chrysostomos <sprout@cpan.org>
Tue, 22 May 2012 05:49:31 +0000 (22:49 -0700)
committerFather Chrysostomos <sprout@cpan.org>
Tue, 22 May 2012 05:49:31 +0000 (22:49 -0700)
pod/perldelta.pod

index d43fd1c..73dfa1f 100644 (file)
@@ -121,6 +121,12 @@ did not exist [perl #112126].
 
 =item *
 
 
 =item *
 
+L<overload> has been upgraded from version 1.18 to 1.19.
+
+C<no overload> now warns for invalid arguments, just like C<use overload>.
+
+=item *
+
 L<Storable> has been upgraded from version 2.34 to 2.35.
 
 Modifying C<$_[0]> within C<STORABLE_freeze> no longer results in crashes
 L<Storable> has been upgraded from version 2.34 to 2.35.
 
 Modifying C<$_[0]> within C<STORABLE_freeze> no longer results in crashes